### Signal

# Handy Carousel::page-changed

since: 1.0

#### Declaration

    void
    page_changed (
      HdyCarousel* self,
      guint index,
      gpointer user_data
    )

#### Description [src]

This signal is emitted after a page has been changed.

It can be used to implement “infinite scrolling” by amending the pages after every scroll.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.0

#### Parameters

`index`

  Type: `guint`

  The current page.